/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ControlMessageImpl.java,v 1.2 2005-02-25 22:17:09 hleung Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.execution.core.impl;

import org.eclipse.hyades.execution.core.IControlMessage;

/**
 * @author rduggan
 *
 */
public class ControlMessageImpl implements IControlMessage {

	String data;
	
	/**
	 * @see org.eclipse.hyades.execution.core.IControlMessage#setMessageData(java.lang.String)
	 */
	public void setMessageData(String data) {
		this.data=data;

	}

	/**
	 * @see org.eclipse.hyades.execution.core.IControlMessage#getMessageData()
	 */
	public String getMessageData() {
		return data;
	}

}
