/**********************************************************************
 * Copyright (c) 2005, 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: MessageOverflowException.java,v 1.1 2007-04-09 14:04:23 samwai Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.hyades.execution.local.common;

public class MessageOverflowException extends Exception {

	/**
	 * Stream-Unique IDentifier (SUID) of this class
	 */
	private static final long serialVersionUID = 1648853064662621578L;

	/**
	 * MessageOverflowException constructor comment.
	 */
	public MessageOverflowException() {
		super();
	}

	/**
	 * MessageOverflowException constructor comment.
	 * 
	 * @param s
	 *            java.lang.String
	 */
	public MessageOverflowException(String s) {
		super(s);
	}
}
