/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: DataServerListener.java,v 1.2 2005-02-25 22:17:09 hleung Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.hyades.internal.execution.local.common;

/** This interface is used in conjunction with the TCPDataServer to notify
  * implementors when the TCPDataProcessor has completed doing all of its work
  * and the processor is exiting.
  */
public interface DataServerListener extends DataProcessor {
	
	void dataServerExited();

}
