/**********************************************************************
 * Copyright (c) 2003, 2009 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ISerializer.java,v 1.5 2009-01-09 12:33:40 paules Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.models.common.export.util;

import java.io.OutputStream;

public interface ISerializer {

	/**
	 * Method that serializes a model to an output format.
	 */
	public abstract void serialize(OutputStream out);

}