/**********************************************************************
 * Copyright (c) 2005, 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: JVMPIException.h,v 1.2 2007-04-06 00:28:39 jkubasta Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

#include <jni.h>
/* Header for class com_ibm_etools_logging_tracing_agent_Callback */


#ifndef _Included_com_ibm_etools_logging_tracing_agent_Callback
#define _Included_com_ibm_etools_logging_tracing_agent_Callback
#ifdef __cplusplus
extern "C" {
#endif

/*
 * Class:     com_ibm_etools_logging_tracing_agent_Profiler
 * Method:    initialize0
 * Signature: ()V
 */
JNIEXPORT jint JNICALL Java_com_ibm_etools_logging_tracing_agent_Profiler_initialize0
  (JNIEnv *, jobject);

/*
 * Class:     com_ibm_etools_logging_tracing_agent_Profiler
 * Method:    startProfiling0
 * Signature: (ZI)I
 */
JNIEXPORT jint JNICALL Java_com_ibm_etools_logging_tracing_agent_Profiler_startProfiling0
  (JNIEnv *, jobject, jboolean, jint);

/*
 * Class:     com_ibm_etools_logging_tracing_agent_Profiler
 * Method:    stopProfiling0
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_com_ibm_etools_logging_tracing_agent_Profiler_stopProfiling0
  (JNIEnv *, jobject);

/*
 * Class:     com_ibm_etools_logging_tracing_agent_Profiler
 * Method:    markHeap0
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_com_ibm_etools_logging_tracing_agent_Profiler_markHeap0
  (JNIEnv *, jobject);

/*
 * Class:     com_ibm_etools_logging_tracing_agent_Profiler
 * Method:    analyzeHeap0
 * Signature: (Ljava/lang/String;)V
 */
JNIEXPORT void JNICALL Java_com_ibm_etools_logging_tracing_agent_Profiler_analyzeHeap0
  (JNIEnv *, jobject, jstring);

/*
 * Class:     com_ibm_etools_logging_tracing_agent_Profiler
 * Method:    runGC0
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_com_ibm_etools_logging_tracing_agent_Profiler_runGC0
  (JNIEnv*,jobject);

#ifdef __cplusplus
}
#endif
#endif
