/********************************************************************** 
 * Copyright (c) 2005, 2006 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html         
 * $Id: ClassLoadReporter.cpp,v 1.5 2006-03-24 22:01:58 hleung Exp $ 
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/ 

// ClassLoadReporter.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"
#include "ClassLoadReporter.h"

BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
    switch (ul_reason_for_call)
	{
		case DLL_PROCESS_ATTACH:
		case DLL_THREAD_ATTACH:
		case DLL_THREAD_DETACH:
		case DLL_PROCESS_DETACH:
			break;
    }
    return TRUE;
}


// This is an example of an exported variable
CLASSLOADREPORTER_API int nClassLoadReporter=0;

// This is an example of an exported function.
CLASSLOADREPORTER_API int fnClassLoadReporter(void)
{
	return 42;
}

// This is the constructor of a class that has been exported.
// see ClassLoadReporter.h for the class definition
CClassLoadReporter::CClassLoadReporter()
{ 
	return; 
}

