/**********************************************************************
 * Copyright (c) 2005, 2007 IBM Corporation, Intel Corporation.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: LoginFailedException.java,v 1.5 2007-09-05 00:10:29 jkubasta Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 * Vishnu K Naikawadi,Intel - Added constructor that takes message string
 **********************************************************************/

package org.eclipse.tptp.platform.execution.exceptions;

//import org.eclipse.hyades.internal.execution.local.control.AgentControllerUnavailableException;

/**
 * @author rduggan
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class LoginFailedException extends AgentControllerUnavailableException {

	private long _port;


	public LoginFailedException() {
		_port = 0;
	}

	public LoginFailedException(long port) {
		_port=port;
	}

	public long getSecurePort() {
		return _port;
	}

	public LoginFailedException( String message )
	{
		super(message);
	}	

}
