/**********************************************************************
 * 
 * Copyright (c) 2005, 2006 IBM Corporation, Intel Corporation.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: SecureConnectionRequiredException.java,v 1.6 2006-09-06 04:41:00 gnagarajan Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 * Vishnu K Naikawadi,Intel - Added constructor that takes message string
 **********************************************************************/

package org.eclipse.tptp.platform.execution.exceptions;

/**
 * @author rduggan
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class SecureConnectionRequiredException
	extends AgentControllerUnavailableException {

		public SecureConnectionRequiredException() 
		{
		}

		public SecureConnectionRequiredException( String message )
		{
			super(message);
		}		

		public boolean isPasswordProtected() {
			return false;
			//return true;
		}

		public boolean isClientAuthenticationRequired() {
			return false;
			//return true;
		}

		public long getSecurePort() {
			//return _details.getSecurePort();
			return 0;
		}

}
