/**********************************************************************
Copyright (c) 2006 IBM Corporation and others.
All rights reserved.  This program and the accompanying materials
are made available under the terms of the Eclipse Public License v1.0
which accompanies this distribution, and is available at
http://www.eclipse.org/legal/epl-v10.html
$Id: TestJAXP.java,v 1.1 2006-12-05 16:15:40 samwai Exp $

Contributors:
 IBM Rational - initial implementation
**********************************************************************/
package org.eclipse.tptp.platform.agentcontroller.config;

public class TestJAXP {
	/*
	 * Classes that are needed for SetConfig to run properly
	 */
	private static String[] classes = {
		"javax.xml.parsers.DocumentBuilder",
		"javax.xml.parsers.DocumentBuilderFactory",
		"javax.xml.parsers.ParserConfigurationException",
		"javax.xml.parsers.SAXParser",
		"javax.xml.parsers.SAXParserFactory"
	};

	public static void main(String[] args) {
		for(int i = 0; i < classes.length; i++) {
			try {
				Class.forName(classes[i]);
			} catch (ClassNotFoundException e) {
				System.exit(1);
			}
		}
	}

}
