/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: IRemoteObject.java,v 1.2 2005-02-25 22:17:09 hleung Exp $
 * 
 * Contributors: 
 * IBM Rational - Initial implementation
 **********************************************************************/
package org.eclipse.hyades.execution.invocation;

import org.eclipse.hyades.execution.core.ISession;


/**
 * @author rduggan
 *
 * To change the template for this generated type comment go to
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
public interface IRemoteObject {
	
	public Integer getUniqueId();
	
	public ReturnData delegateRemoteCall(Class[] argTypes, Object[] callArgs, String call) throws RemoteInvocationException;
	
	public Object getDelegate();
	
	public void setDelegate(Object delegate);
	
	public void init();
	
	public ISession getSessionContext();
	
	public void setSessionContext(ISession session);
}
