/**********************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: JUnitResourceBundle.java,v 1.3 2007-03-22 00:31:24 paules Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.test.java.runner;

import org.eclipse.osgi.util.NLS;

/**
 * Runner level resource bundle.
 * <p>
 * 
 * 
 * @author      Paul E. Slauenwhite
 * @version     March 21, 2007
 * @since       March 21, 2007
 */
public final class JUnitResourceBundle extends NLS {

	private static final String BUNDLE_NAME = "org.eclipse.hyades.test.java.runner.messages";//$NON-NLS-1$

	private JUnitResourceBundle() {
		// Do not instantiate
	}

	public static String execution_TestsFinished;
	public static String execution_TestStoped;

	static {
		NLS.initializeMessages(BUNDLE_NAME, JUnitResourceBundle.class);
	}
}