/**********************************************************************
 * All rights reserved.   This program and the accompanying materials
 * Copyright (c) 2003, 2010 IBM Corporation and others.
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM - Initial API and implementation
 * Intel - contention analysis support is added  
 * 
 * $Id: TraceConstants.java,v 1.15 2010-05-11 16:30:05 jwest Exp $
 **********************************************************************/
package org.eclipse.hyades.loaders.trace;

/**
 * @author slavescu
 */
public class TraceConstants {

	protected static final int ACCESS_int = -1423461020;
	protected static final int AGENT_ID_REF_int = -1203355277;
	protected static final int AG_BASE_TIME_int = -1721500354;
	protected static final int ANNOTATION_int = -1555043537;
	protected static final int A_CLASS_ID_REF_int = -823229919;
	protected static final int A_LINE_NR_int = -1830294375;
	protected static final int A_METHOD_ID_REF_int = 356208118;
	protected static final int BASE_TIME_int = -1720547042;
	protected static final int CLASS_CLASS1_int = 1995981828;
	protected static final int CLASS_CLASS2_int = -530663260;
	protected static final int CLASS_ID_int = 853619891;
	protected static final int CLASS_ID_REF_int = -311104800;
	protected static final int CONSUMED_CPU_TIME_int = 1624740749;
	protected static final int COUNT_int = 94851343;
	protected static final int CPU_SAMPLE_RESOLUTION_int = 774419390;
	protected static final int CPU_TIME_int = 985674901;
	protected static final int CallStackPerThread_int = 688917711;
	protected static final int END_LINE_NUMBER_int = -191889512;
	protected static final int FIELD_ID_REF_int = 556029086;
	protected static final int FIRST_SEEN_INDEX_int = -2147184057;
	protected static final int GROUP_NAME_int = -1483174486;
	protected static final int HEAP_DUMP_ID_int = -1198575813;
	protected static final int HEAP_DUMP_ID_REF_int = 1586135896;
	protected static final int INVOCATION_CONTEXT_int = -1601973537;
	protected static final int IS_ARRAY_int = 2054496079;
	protected static final int IS_CLASS_CLASS_int = 1854879658;
	protected static final int LANGUAGE_int = -1613589672;
	protected static final int MAX_TIME_int = 844110417;
	protected static final int MAX_VALUE_int = 399227501;
	protected static final int METHOD_ID_int = -443210276;
	protected static final int METHOD_ID_REF_int = -947782377;
	protected static final int MIN_TIME_int = 1063908415;
	protected static final int MIN_VALUE_int = -1376969153;
	protected static final int NAME_int = 3373707;
	protected static final int NODE_ID_REF_int = 445000854;
	protected static final int NUM_CALLS_int = -1885640177;
	protected static final int NUM_INSTANCES_FIELDS_int = -1583525676;
	protected static final int NUM_INTERFACES_int = 2103939712;
	protected static final int NUM_METHODS_int = -1847438004;
	protected static final int NUM_STATIC_FIELDS_int = -1488120467;
	protected static final int OBJ_ID_int = 105534578;
	protected static final int OBJ_ID_REF_int = 64634561;
	protected static final int OVERHEAD_int = 529694900;
	protected static final int OWNER_OBJ_ID_REF_int = 1741697684;
	protected static final int PARAMETER_int = 1954460585;
	protected static final int PARAMETER_ID_REF_int = 1112512335;
	protected static final int PARAM_INDEX_int = 100346066;
	protected static final int PARENT_NAME_int = -244870571;
	protected static final int PRECISION_int = -1376177026;
	protected static final int PROCESS_ID_REF_int = 1972566089;
	protected static final int REMOTE_AGENT_ID_REF_int = -426379687;
	protected static final int REMOTE_NODE_ID_REF_int = 1855537904;
	protected static final int REMOTE_PROCESS_ID_REF_int = 1321798575;
	protected static final int REMOTE_SEQUENCE_COUNTER_int = 106550741;
	protected static final int REMOTE_THREAD_ID_REF_int = 226654568;
	protected static final int REMOTE_TICKET_int = -26049806;
	protected static final int RETURN_VALUE_int = -1495129567;
	protected static final int SEQUENCE_COUNTER_int = -360813829;
	protected static final int SIGNATURE_int = 1073584312;
	protected static final int SIG_NOTATION_int = 508763123;
	protected static final int SIZE_int = 3530753;
	protected static final int SOURCE_NAME_int = -1111633594;
	protected static final int STACK_DEPTH_int = 2011131163;
	protected static final int START_LINE_NUMBER_int = 1571143263;
	protected static final int TARGET_OBJECT_ID_REF_int = -1527450766;
	protected static final int THREAD_ID_int = 1473625285;
	protected static final int THREAD_ID_REF_int = 1910215054;
	protected static final int THREAD_NAME_int = -1185159243;
	protected static final int THREAD_OWNER_int = 1916349129;
	protected static final int TICKET_int = -873960692;
	protected static final int TIME_int = 3560141;
	protected static final int TIMEOUT_int = -1313911455;
	protected static final int TOTAL_OBJECT_SPACE_int = 972056355;
	protected static final int TOTAL_TIME_int = -577281999;
	protected static final int TRACE_ID_int = -1067401920;
	protected static final int TRCArrayClassImpl_int = -772116536;
	protected static final int TRCClass_int = -1631928251;
	protected static final int TRCClassImpl_int = -278316113;
	protected static final int TRCFullHeapObjectImpl_int = 320375651;
	protected static final int TRCFullMethodInvocationImpl_int = -447284631;
	protected static final int TRCFullTraceObjectImpl_int = -116543028;
	protected static final int TRCHeapDumpImpl_int = -475058967;
	protected static final int TRCHeapObjectImpl_int = -506323084;
	protected static final int TRCMethod_int = 1230214068;
	protected static final int TRCMethodImpl_int = -450357878;
	protected static final int TRCMethodWithLLDataImpl_int = -50743622;
	protected static final int TRCObjectEntry_int = -541378176;
	protected static final int TRCPackageImpl_int = 779914685;
	protected static final int TRCProcessImpl_int = 73481062;
	protected static final int TRCSourceInfo_int = 1916132540;
	protected static final int TRCSourceInfoImpl_int = -90841198;
	protected static final int TRCThreadImpl_int = -912353741;
	protected static final int TYPE_int = 3575610;
	protected static final int UNKNOWN_int = -284840886;
	protected static final int USED_OBJECTS_int = -591056233;
	protected static final int USED_OBJECT_SPACE_int = -1180860150;
	protected static final int VALUE_int = 111972721;
	protected static final int VALUE_KIND_int = -765976411;
	protected static final int VALUE_POSITION_int = -1410177245;
	protected static final int VirtualObjectInfo_int = -285893434;
	protected static final int agMethodEntry_int = -1562946549;
	protected static final int agMethodExit_int = 503780965;
	protected static final int classDef_int = 692408173;
	protected static final int gcFinish_int = -1106218865;
	protected static final int gcRoot_int = -1252183074;
	protected static final int gcStart_int = -161910554;
	protected static final int heapDumpDef_int = 1498850789;
	protected static final int methodCall_int = -723491105;
	protected static final int methodCount_int = -952961874;
	protected static final int methodDef_int = -854621340;
	protected static final int methodEntry_int = -951145455;
	protected static final int methodExit_int = -723409505;
	protected static final int methodInvocations_int = 749783618;
	protected static final int methodReceive_int = -843863358;
	protected static final int methodReply_int = -939411831;
	protected static final int methodReturn_int = 943132017;
	protected static final int monContendedEnter_int = 1216149276;
	protected static final int monContendedEntered_int = 488352955;
	protected static final int monStillOwned_int = -364900855;
	protected static final int monWait_int = 1235764897;
	protected static final int monWaited_int = -2135871744;
	protected static final int objAlloc_int = 57510014;
	protected static final int objFree_int = -1660558333;
	protected static final int objReference_int = -1136044012;
	protected static final int parameterDef_int = -1536275556;
	protected static final int runtimeInitDone_int = -557592406;
	protected static final int runtimeShutdown_int = -994909618;
	protected static final int threadEnd_int = -1562259855;
	protected static final int threadStart_int = 1919941752;
	protected static final int traceEnd_int = 1270275414;
	protected static final int traceStart_int = 977069597;
	protected static final int monNotifyCalled_int = -219260590;
	protected static final int threadInterruptCalled_int = 632193110;
	protected static final int threadSleepEnd_int = -1797347666;
	protected static final int threadSleepStart_int = -661145227;	
	protected static final int threadStartCalled_int = -1991436779;
	protected static final int isNotifyAll_int = -1214481522;
	protected static final int isTimedOut_int = 1424783329;
}

