/**********************************************************************
 * Copyright (c) 2003, 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: XMLtraceEndLoader.java,v 1.4 2006-02-08 20:57:10 slavescu Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 * 
 * $Id: XMLtraceEndLoader.java,v 1.4 2006-02-08 20:57:10 slavescu Exp $
 **********************************************************************/
package org.eclipse.hyades.loaders.trace;

import org.eclipse.hyades.models.trace.TRCProcess;


/**
 * @author slavescu
 *
 */
public class XMLtraceEndLoader extends XMLtraceStartLoader {
    //~ Instance fields ----------------------------------------------------------------------------

    public void addYourselfInContext() {
        //        zeroTime = time;
		if(context.getAgent()!=null)
		{
			context.getAgent().setStopTime(time);
			if(context.getAgent().getAgentProxy()!=null)
				context.getAgent().getAgentProxy().setStopTime(time);
		}

        TRCProcess p = getProcess();

        if (p.getStopTime() == 0) {
            p.setStopTime(createDeltaTime());
        }
        addAnnotationsIfRequired(p);
    }
}
