/********************************************************************** 
 * Copyright (c) 2008 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html 
 * $Id: ActionMessages.java,v 1.1 2008-03-20 19:49:56 paules Exp $ 
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/
package org.eclipse.hyades.test.ui.internal.navigator.action.resources;

import org.eclipse.osgi.util.NLS;

/**
 * @author jgout,Jerome Bozier
 * @version February 26, 2008
 */
public class ActionMessages extends NLS {
	private static final String BUNDLE_NAME = "org.eclipse.hyades.test.ui.internal.navigator.action.resources.messages"; //$NON-NLS-1$

	public static String MOVE_ACTION_NAME;
	public static String DELETE_ACTION_NAME;
	public static String RENAME_ACTION_NAME;
	public static String RENAME_NEW_NAME_LABEL;
	public static String PASTE_ACTION_NAME;

	public static String SAVE_ALL_DIALOG_MESSAGE;

	public static String SAVE_ALL_DIALOG_NAME;
	
	static {
		// initialize resource bundle
		NLS.initializeMessages(BUNDLE_NAME, ActionMessages.class);
	}

	private ActionMessages() {
	}
}
