/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: IExtendedProxyNode.java,v 1.1 2007-06-01 14:52:02 jgout Exp $
 * 
 *******************************************************************************/
package org.eclipse.hyades.test.ui.internal.navigator.proxy;

import org.eclipse.core.resources.IResource;
import org.eclipse.hyades.test.ui.navigator.IProxyNode;

public interface IExtendedProxyNode extends IProxyNode {

	/**
	 * Returns the resource that the implementor is corresponding to.
	 * It can be <code>null</code> if the implementor does not  match to a physical resource.
	 * @return a resource or <code>null</code>
	 */
	public IResource getCorrespondingResource();
	
}
