/**********************************************************************
 * Copyright (c) 2005, 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: IDeleteListener.java,v 1.2 2006-09-20 19:49:13 ewchan Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.hyades.trace.ui;

/**
 * A delete event listener registers with the profile plug-in
 * to receive delete event notifications for the top hierarchy objects.
  * <p>
 * Clients may implement this interface.
 * </p> 
 */
public interface IDeleteListener {

	/**
	 * Invoked when a top hierarchy object is deleted from the  model.
	 */
	void deregister(Object obj);
}
