/* ***********************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ISVGGroup.java,v 1.1 2005-03-30 08:26:37 dguilbaud Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 ************************************************************/

package org.eclipse.tptp.platform.report.chart.svg.internal.generator;
/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ISVGGroup.java,v 1.1 2005-03-30 08:26:37 dguilbaud Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

/**
 * <code>ISVGGroup</code> interface defines accessors for attributes which are used in the g element.
 * 
 * $Revision: 1.1 $
 */
public interface ISVGGroup extends ISVGContainerBase {
	/**
	 * Gets transformation setting
	 * @return transformation
	 */
	public String getTransformation();
	/**
	 * Sets transformation setting
	 * @param tTransformation transformation setting
	 */
	public void setTransformation(String tTransformation);
	/**
	 * @return
	 */
	public String getFill();
	/**
	 * @return
	 */
	public String getStroke();
	/**
	 * @param string
	 */
	public void setFill(String string);
	/**
	 * @param string
	 */
	public void setStroke(String string);
}