/* ***********************************************************
 * Copyright (c) 2005, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: DHtmlWriterException.java,v 1.3 2008-05-23 14:11:49 jcayne Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 ************************************************************/


package org.eclipse.tptp.platform.report.drivers.html;

import org.eclipse.tptp.platform.report.tools.internal.DParser;

/**
 * Provides an exception class for the error occurs in the DHtmlWriter
 * 
 * @deprecated As of TPTP 4.5.0, use the TPTP Business Intelligence and Reporting Tools (BIRT) reporting infrastructure (<code>org.eclipse.tptp.platform.report.birt</code>).
 * 
 */
public class DHtmlWriterException extends DParser.ParserException {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    /** creates a new generation exception */
    public DHtmlWriterException(String message)
    {
        super(message);
    }
    
}
