/*******************************************************************************
 * Copyright (c) 2005 IBM Corporation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM Corporation - initial implementation
 *
 * $Id: launcher_os400.h,v 1.2 2005-02-25 22:17:39 hleung Exp $ 
 *******************************************************************************/ 

/*
 * Function prototypes
 */
#ifdef __OS400__

#define AS400_CLASSPATH_LENGTH 8192
#define MAX_FD 256
#include <spawn.h>

PID hc_launchProcess_OS400(char *exe, char *cmdline, char *location, char *env, RA_HANDLE consoleChild[]);
void hc_initProcessStdioList();
void hc_addToProcessStdioList(PID pid, int in, int out, int err);
void hc_removeFromProcessStdioList(PID pid);

#endif
