/**********************************************************************
* Copyright (c) 2006 IBM Corporation and others.
* All rights reserved.   This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
* $Id: secureServer.h,v 1.2 2006-05-02 17:41:45 samwai Exp $
* 
* Contributors: 
* IBM - Initial API and implementation
**********************************************************************/

#include "tptp/TPTPSupportTypes.h"
#include "ClientCTL.h"
#include "java.h"

#define CLASS_CLIENT_HANDLER			"org/eclipse/hyades/internal/collection/framework/ClientHandlerImpl"
#define CLASS_CONNECTION_HANDLER		"org/eclipse/hyades/internal/collection/framework/ConnectionHandlerImpl"
#define INTERFACE_CLIENT_HANDLER		"org/eclipse/hyades/execution/security/IClientHandler"
#define CLASS_KEYSTORE_MANAGER			"org.eclipse.hyades.execution.security.KeystoreManagerImpl"
#define CLASS_SECURED_SERVER				"org/eclipse/hyades/execution/security/SecureServer"
#define CLASS_SECURED_SERVER_PARAMETERS	"org/eclipse/hyades/internal/collection/framework/SecureServer"

#define METHOD_SIGNATURE_CLIENT_HANDLER				"(Lorg/eclipse/hyades/internal/collection/framework/ClientHandlerImpl;)I"
#define METHOD_SIGNATURE_SECURED_SERVER_PARAMETERS	"(Lorg/eclipse/hyades/execution/security/ISecureServerParameters;)V"

tptp_uint32 startSecuredServer(tl_state_data_t* stateData, TID *tid);
JNIEXPORT jint JNICALL Java_org_eclipse_hyades_internal_collection_framework_ConnectionHandlerImpl_createClient0(JNIEnv *jenv, jobject jobj, jobject cHandler);
