@rem *********************************************************************
@rem Copyright (c) 2006, 2008 IBM Corporation and others.
@rem All rights reserved.   This program and the accompanying materials
@rem are made available under the terms of the Eclipse Public License v1.0
@rem which accompanies this distribution, and is available at
@rem http://www.eclipse.org/legal/epl-v10.html
@rem $Id: package.bat,v 1.5 2008-02-29 14:23:36 jkubasta Exp $
@rem
@rem Contributors:
@rem IBM - Initial API and implementation
@rem *********************************************************************
@rem
@echo off
rem
rem   This batch file performs the packaging step 
rem   for ProbeAgentExtension on Windows
rem
rem   Run it after building both the ProbeAgentExtension and BCI projects.
rem
rem   It creates ibmrta.win32.zip in the current directory.
rem

if exist plugins rmdir /s/q plugins
mkdir plugins
mkdir plugins\com.ibm.rational.pd.probekit
mkdir plugins\com.ibm.rational.pd.probekit\config
mkdir plugins\com.ibm.rational.pd.probekit\lib
copy Release\ProbeAgentExtension.dll plugins\com.ibm.rational.pd.probekit\lib > nul:
copy ..\..\BCI\Release\BCIEngProbe.dll plugins\com.ibm.rational.pd.probekit\lib > nul:
copy ..\pluginconfig_win32.xml plugins\com.ibm.rational.pd.probekit\config\pluginconfig.xml > nul:
%JDK_HOME%\bin\jar cf ibmrta.win32.zip plugins
rmdir /s/q plugins
echo created ibmrta.win32.zip
