/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: RecorderApplicationAdapterException.java,v 1.2 2005-05-27 15:49:23 mddunn Exp $
 * 
 * Contributors: 
 * IBM Corporation - initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.execution.recorder.local.appadapters;


/**
 * exception thrown when error conditions occur inside a RecorderApplicationAdapter
 * @author Ernest Jessee
 */
public class RecorderApplicationAdapterException extends Exception
{
	/**
	 * 
	 */
	static final long serialVersionUID =  5382067291954745471L;
	
	public RecorderApplicationAdapterException()
	{
		super();
	}

	/**
	 * @param message
	 */
	public RecorderApplicationAdapterException(String message)
	{
		super(message);
	}
	

}
