/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ITestgenListener.java,v 1.3 2005-06-17 16:15:27 jnevicos Exp $
 *  
 * Contributors: 
 * IBM Corporation - initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.test.core.testgen;


/**
 * Interface that listens for test generator events.
 * Register with the TestGenUIWrapper:
 * <code>
 * 		wrapper.addListener(ITestgenListener);
 * </code>
 * @author jnevicos
 *
 */
public interface ITestgenListener {

	/**
	 * call
	 * @param bSuccess
	 */
	public void notifyEnd(boolean bSuccess);
}
