/********************************************************************** 
 * Copyright (c) 2005 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html 
 * $Id: HelloWorldService.java,v 1.2 2005-10-06 14:59:03 sschneid Exp $ 
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/

package org.eclipse.hyades.automation.server.services;

import org.eclipse.hyades.automation.server.AbstractService;

/**
 * The example service used to demonstrate and test the automation framework
 * 
 * @author Scott E. Schneider
 */
public class HelloWorldService extends AbstractService {

	/**
	 * Stream-Unique IDentifier (SUID) of this class
	 */
	private static final long serialVersionUID = 6037699395204900045L;

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.hyades.automation.core.Service#execute()
	 */
	public Object execute() {
		return "Hello World!";
	}

}